CMAP_INITIALIZE(3)

NAME

cmap_initialize - Initialize CMAP API

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_initialize (cmap_handle_t *handle);

DESCRIPTION

The cmap_initialize function is used to initialize a connection to the Configuration Map API. Each application may have several connections to the CMAP API. Each application uses the handle argument to uniquely identify the connection. The handle argument is then used in other function calls to identify the connection to be used for communication with the CMAP service.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

SEE ALSO
cmap_finalize(3), cmap_overview(8)